unit AddDir;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmAddDir = class(TForm)
    edFileMask: TEdit;
    Label1: TLabel;
    edDir: TEdit;
    Label2: TLabel;
    ckRecursive: TCheckBox;
    pbOK: TButton;
    pbCancel: TButton;
    pbBrowse: TButton;
    procedure pbBrowseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure edFileMaskChange(Sender: TObject);
    procedure edDirChange(Sender: TObject);
  private
    procedure EnableDisable();
  public
    { Public declarations }
  end;

implementation

{$R *.DFM}

uses
  FileCtrl;  // Required for SelectDirectory(...)
  

procedure TfrmAddDir.pbBrowseClick(Sender: TObject);
var
  addDir: string;
begin
  addDir := edDir.text;

  if SelectDirectory('Add directory', '', addDir) then
    begin
    edDir.text := addDir;
    end;

end;

procedure TfrmAddDir.FormCreate(Sender: TObject);
begin
  edDir.text := '';
  ckRecursive.checked := TRUE;
  edFileMask.text := '*';

end;

procedure TFrmAddDir.EnableDisable();
begin
  pbOK.enabled := (
                   (edDir.text <> '') and
                   (edFileMask.text <> '')
                  );

end;


procedure TfrmAddDir.FormShow(Sender: TObject);
begin
  EnableDisable();
  
end;

procedure TfrmAddDir.edFileMaskChange(Sender: TObject);
begin
  EnableDisable();
  
end;

procedure TfrmAddDir.edDirChange(Sender: TObject);
begin
  EnableDisable();

end;

END.

